const __VLS_props = defineProps();
const emit = defineEmits();
const __VLS_ctx = {
    ...{},
    ...{},
    ...{},
    ...{},
    ...{},
};
let __VLS_components;
let __VLS_intrinsics;
let __VLS_directives;
__VLS_asFunctionalElement1(__VLS_intrinsics.textarea)({
    ...{ onInput: (...[$event]) => {
            return (__VLS_ctx.emit('update:modelValue', $event.target.value));
            // @ts-ignore
            [emit,];
        } },
    ...{ onBlur: (...[$event]) => {
            return (__VLS_ctx.emit('blur', $event));
            // @ts-ignore
            [emit,];
        } },
    id: (__VLS_ctx.inputId),
    ...{ class: "ks-native-input" },
    value: (__VLS_ctx.modelValue),
    disabled: (__VLS_ctx.disabled),
    'aria-invalid': (__VLS_ctx.invalid || undefined),
    rows: (__VLS_ctx.rows ?? 4),
    placeholder: (__VLS_ctx.placeholder),
});
/** @type {__VLS_StyleScopedClasses['ks-native-input']} */ ;
// @ts-ignore
[inputId, modelValue, disabled, invalid, rows, placeholder,];
const __VLS_export = (await import('vue')).defineComponent({
    __typeEmits: {},
    __typeProps: {},
});
export default {};
